#
# spec file for package python-PyPrind
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-PyPrind
Version:        2.11.3
Release:        1.10
Summary:        Python progress bar and percent indicator utility
License:        BSD-3-Clause
URL:            https://github.com/rasbt/pyprind
Source0:        https://files.pythonhosted.org/packages/source/P/PyPrind/PyPrind-%{version}.tar.gz
BuildRequires:  %{python_module psutil >= 3.2.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-psutil >= 3.2.0
BuildArch:      noarch
%python_subpackages

%description
The PyPrind (Python Progress Indicator) module provides a progress
bar and a percentage indicator object that let track the progress
of a loop structure or other iterative computation.
A typical application is the processing of large data sets for
which to provide an intuitive estimate at runtime about the
computation progress.

%prep
%setup -q -n PyPrind-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest tests

%files %{python_files}
%doc README.md
%{python_sitelib}/*

%changelog
* Wed Aug 31 2022 Matej Cepl <mcepl@suse.com>
- Remove unnecessary tarball PyPrind-2.11.2.tar.gz
* Mon Aug 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 2.11.3:
  * Fixes and issue where newlines appeared everywhere on certain machines
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Wed Mar  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.11.2:
  * Fixes issue where new lines are printed upon iterating over a completed progress bar object.
- Run tests
* Fri Jul  7 2017 aloisio@gmx.com
- Initial package (2.11.1)
